Zum Hauptinhalt springen
POST
/
marketing
/
marketing-events
/
2026-03
/
attendance
/
{externalEventId}
/
{subscriberState}
/
create
cURL
curl --request POST \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/attendance/{externalEventId}/{subscriberState}/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "interactionDateTime": 123,
      "properties": {},
      "vid": 123
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "vid": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

externalEventId
string
erforderlich
subscriberState
string
erforderlich

Abfrageparameter

externalAccountId
string

Body

application/json
inputs
object[]
erforderlich

List of HubSpot contacts to subscribe to the marketing event

Antwort

successful operation

completedAt
string<date-time>
erforderlich

Timestamp that represents when the request finished processing

results
object[]
erforderlich
startedAt
string<date-time>
erforderlich

Timestamp that represents when the request started processing

status
enum<string>
erforderlich

The status of the request processing

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

Result of the request

numErrors
integer<int32>

The number of errors that occurred during the processing

requestedAt
string<date-time>

Timestamp that represents when the request was made

Last modified on April 9, 2026